     1: <?php
     2: /*************************************************************************************/
     3: /*                                                                                   */
     4: /*      Thelia                                                                       */
     5: /*                                                                                   */
     6: /*      Copyright (c) OpenStudio                                                     */
     7: /*  email : info@thelia.net                                                      */
     8: /*      web : http://www.thelia.net                                                  */
     9: /*                                                                                   */
    10: /*      This program is free software; you can redistribute it and/or modify         */
    11: /*      it under the terms of the GNU General Public License as published by         */
    12: /*      the Free Software Foundation; either version 3 of the License                */
    13: /*                                                                                   */
    14: /*      This program is distributed in the hope that it will be useful,              */
    15: /*      but WITHOUT ANY WARRANTY; without even the implied warranty of               */
    16: /*      MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the                */
    17: /*      GNU General Public License for more details.                                 */
    18: /*                                                                                   */
    19: /*      You should have received a copy of the GNU General Public License            */
    20: /*      along with this program. If not, see <http://www.gnu.org/licenses/>.     */
    21: /*                                                                                   */
    22: /*************************************************************************************/
    23:
    24: namespace Thelia\Tpex\Tokenizer;
    25:
    26: interface TokenizeInterface
    27: {
    28:     /**
    29:      *
    30:      * main function starting tokenizer process
    31:      *
    32:      * @return mixed
    33:      */
    34:     public function tokenize();
    35:
    36:     /**
    37:      *
    38:      * the content to parse and tokenize
    39:      *
    40:      * @param $content
    41:      * @return void
    42:      */
    43:     public function setContent($content);
    44:
    45:     /**
    46:      * @param  array $loops
    47:      * @return void
    48:      */
    49:     public function setLoop(array $loops);
    50:
    51:     /**
    52:      * @param  array $filters
    53:      * @return void
    54:      */
    55:     public function setFilter(array $filters);
    56:
    57: }
    58: